Skip to main content
`Ctrl`+`K`

# PetscDrawViewPortsCreate

Splits a window into smaller view ports. Each processor shares all the viewports.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawViewPortsCreate(PetscDraw draw, PetscInt nports, PetscDrawViewPorts *newports[])

Collective

## Input Parameters

- draw - the drawing context

- nports - the number of ports

## Output Parameter

- newports - a `PetscDrawViewPorts` context (C structure)

## Options Database Key

- -draw_ports - display multiple fields in the same window with PetscDrawPorts() instead of in separate windows

## Fortran Note

No Fortran support since `PetscDrawViewPorts` is a C struct

## See Also

`PetscDrawSplitViewPort()`, `PetscDrawSetViewPort()`, `PetscDrawViewPortsSet()`, `PetscDrawViewPortsDestroy()`

## Level

advanced

## Location

src/sys/classes/draw/interface/dviewp.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages